function maxpixel, imagename, x, y, r=r
   data = mrdfits(imagename, /silent)
   if n_elements(r) eq 0 then r = 2
   nx = (size(data)) [1]
   ny = (size(data)) [2]
   m = fltarr(n_elements(x))
   for i = 0, n_elements(x)-1 do begin
     xi = fix(x[i])
     yi = fix(y[i])
     m[i] = max(data[xi-r>0:xi+r<nx-r,yi-r>0:yi+r<ny-r])
   endfor

   return, m
end


