function clip, strin, maxlen
  
  if size(strin, /type) ne 1 then str = string(strin) else str = string([fix(strin)]) ; if it's a byte, weird stuff happens
  if n_params() eq 1 then return, strtrim(str,2)

  for n = 0, n_elements(strin)-1 do begin
     str[n] = strmid(strtrim(str[n],2),0,maxlen)
     curlen = strlen(str[n])
     if curlen lt maxlen then $
       for c = 0, (maxlen-curlen-1) do $
         str[n] = str[n] + ' '
  endfor

  return, str
end
